メインコンテンツへスキップ
GET
/
crm
/
v3
/
imports
/
{importId}
インポートに関する情報を取得
curl --request GET \
  --url https://api.hubapi.com/crm/v3/imports/{importId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.hubapi.com/crm/v3/imports/{importId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.hubapi.com/crm/v3/imports/{importId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "createdAt": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "mappedObjectTypeIds": [
    "<string>"
  ],
  "metadata": {
    "counters": {},
    "fileIds": [
      "<string>"
    ],
    "objectLists": [
      {
        "listId": "<string>",
        "objectType": "<string>"
      }
    ]
  },
  "optOutImport": true,
  "updatedAt": "2023-11-07T05:31:56Z",
  "importName": "<string>",
  "importRequestJson": {},
  "importTemplate": {
    "templateId": 123
  }
}
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

importId
integer<int64>
必須

レスポンス

successful operation

createdAt
string<date-time>
必須

オブジェクトが作成された時点のタイムスタンプ(ISO 8601形式)。

id
string
必須

このインポートの固有ID。

mappedObjectTypeIds
string[]
必須
metadata
object
必須
optOutImport
boolean
必須

Eメールを受信しない人のリストのインポートかどうか。

state
enum<string>
必須

インポートのステータス。

利用可能なオプション:
CANCELED,
DEFERRED,
DONE,
FAILED,
PROCESSING,
REVERTED,
STARTED
updatedAt
string<date-time>
必須

インポートレコードが最後に更新された時点のタイムスタンプ(ISO 8601インスタント形式)。

importName
string

このインポートのユーザーが指定した名前。

importRequestJson
object

JSONオブジェクトとしての完全なインポートリクエスト設定。

importSource
enum<string>

インポートが開始された場所/方法を示します。

利用可能なオプション:
API,
CRM_UI,
IMPORT,
MOBILE_ANDROID,
MOBILE_IOS,
SALESFORCE
importTemplate
object
最終更新日 2026年4月10日